Bug 1090479 - [abrt] system-config-printer: jobviewer.py:2235:_set_job_user_text:KeyError: 0
Summary: [abrt] system-config-printer: jobviewer.py:2235:_set_job_user_text:KeyError: 0
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: system-config-printer
Version: 20
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:dc7381793a414ff4a7d946ab238...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-23 12:26 UTC by morgan read
Modified: 2014-07-10 00:24 UTC (History)
3 users (show)

Fixed In Version: system-config-printer-1.4.5-1.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-07-10 00:24:10 UTC


Attachments (Terms of Use)
File: backtrace (604 bytes, text/plain)
2014-04-23 12:26 UTC, morgan read
no flags Details
File: environ (1.80 KB, text/plain)
2014-04-23 12:26 UTC, morgan read
no flags Details

Description morgan read 2014-04-23 12:26:15 UTC
Description of problem:
Printing from both LibO and Evince, nothing prints.
LibO throws up an error message:
"Could not start printer.
Please check your printer configuration."
Printing from Evince, the "Print" button is dimmed & not accessible.  However, the "Preview" button does work and provides a preview which appears can be printed from, but which does not in fact print anything.
However, printing a "Print Test Page" from System-config-printer.py IS successful

Version-Release number of selected component:
system-config-printer-1.4.4-1.fc20

Additional info:
reporter:       libreport-2.2.1
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.4-1.fc20.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.13.10-200.fc20.x86_64
runlevel:       N 5
type:           Python
uid:            1001

Truncated backtrace:
jobviewer.py:2235:_set_job_user_text:KeyError: 0

Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0

Local variables in innermost frame:
column: <TreeViewColumn object at 0x24fbcd0 (GtkTreeViewColumn at 0x24832b0)>
self: <JobViewer object at 0x2015f50 (jobviewer+JobViewer at 0x1663f80)>
iter: <GtkTreeIter at 0x2956e20>
jobid: 0
cell: <CellRendererText object at 0x24fbc80 (GtkCellRendererText at 0x2360240)>
model: <TreeStore object at 0x201b050 (GtkTreeStore at 0x21a05c0)>
data: (None,)

Comment 1 morgan read 2014-04-23 12:26:21 UTC
Created attachment 888884 [details]
File: backtrace

Comment 2 morgan read 2014-04-23 12:26:23 UTC
Created attachment 888885 [details]
File: environ

Comment 3 Mikhail 2014-06-26 05:32:05 UTC
Another user experienced a similar problem:

I am try showing completed jobs

reporter:       libreport-2.2.2
cmdline:        /usr/bin/python /usr/share/system-config-printer/system-config-printer.py
dso_list:       system-config-printer-libs-1.4.4-1.fc20.noarch
executable:     /usr/share/system-config-printer/system-config-printer.py
kernel:         3.14.8-200.fc20.i686+PAE
package:        system-config-printer-1.4.4-1.fc20
reason:         jobviewer.py:2235:_set_job_user_text:KeyError: 0
runlevel:       N 5
type:           Python
uid:            0

Comment 4 Mikhail 2014-06-26 09:38:57 UTC
[mikhail@localhost ~]$ su -
Password: 
Last login: Ср июн 25 08:27:58 YEKT 2014 from 10.10.0.11 on pts/6
[root@localhost ~]# system-config-printer

(system-config-printer.py:17658): libnotify-WARNING **: Failed to connect to proxy
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 120 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12080 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12081 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12082 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12086 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12122 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12123 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12124 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12128 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12150 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12151 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12152 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12153 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12158 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12159 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12160 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12161 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12167 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12168 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12169 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12170 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12177 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12178 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12179 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12180 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12189 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12190 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12191 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12192 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12239 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12240 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12241 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12246 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12277 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12278 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12279 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12281 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12295 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12296 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12297 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12298 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12303 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12304 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12305 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12306 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12311 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12312 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12313 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12314 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12319 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12320 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12321 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12322 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:190: Warning: Source ID 12334 was not found when attempting to remove it
  GLib.source_remove (timer)
/usr/share/system-config-printer/monitor.py:190: Warning: Source ID 12335 was not found when attempting to remove it
  GLib.source_remove (timer)

(system-config-printer.py:17658): libnotify-WARNING **: Failed to connect to proxy
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 12333 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 12336 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2235, in _set_job_user_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2241, in _set_job_document_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2246, in _set_job_printer_text
    reasons = self.jobs[jobid].get('job-state-reasons')
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2255, in _set_job_size_text
    job = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2374, in _set_job_status_text
    data = self.jobs[jobid]
KeyError: 0
Traceback (most recent call last):
  File "/usr/share/system-config-printer/jobviewer.py", line 2342, in _set_job_status_icon
    data = self.jobs[jobid]
KeyError: 0
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19274 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19275 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19276 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 19287 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19339 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19340 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/monitor.py:757: Warning: Source ID 19341 was not found when attempting to remove it
  GLib.source_remove (self.update_timer)
/usr/share/system-config-printer/system-config-printer.py:2067: Warning: Source ID 19346 was not found when attempting to remove it
  GLib.source_remove (self.populateList_timer)
/usr/share/system-config-printer/monitor.py:190: Warning: Source ID 19375 was not found when attempting to remove it
  GLib.source_remove (timer)
/usr/share/system-config-printer/monitor.py:190: Warning: Source ID 19376 was not found when attempting to remove it
  GLib.source_remove (timer)

Comment 6 Fedora Update System 2014-07-04 16:32:05 UTC
system-config-printer-1.4.5-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/system-config-printer-1.4.5-1.fc20

Comment 7 Fedora Update System 2014-07-05 14:56:01 UTC
Package system-config-printer-1.4.5-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing system-config-printer-1.4.5-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-8100/system-config-printer-1.4.5-1.fc20
then log in and leave karma (feedback).

Comment 8 Fedora Update System 2014-07-10 00:24:10 UTC
system-config-printer-1.4.5-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.